# Uses of Interface
org.springframework.beans.factory.config.BeanPostProcessor

Packages that use BeanPostProcessor
Package
Description
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of BeanPostProcessor in org.springframework.beans.factory.annotation

Classes in org.springframework.beans.factory.annotation that implement BeanPostProcessor
Modifier and Type
Class
Description
`class`
`AutowiredAnnotationBeanPostProcessor`
`BeanPostProcessor` implementation that autowires annotated fields, setter methods, and arbitrary config methods.
`class`
`InitDestroyAnnotationBeanPostProcessor`
`BeanPostProcessor` implementation that invokes annotated init and destroy methods.

## Uses of BeanPostProcessor in org.springframework.beans.factory.config

Subinterfaces of BeanPostProcessor in org.springframework.beans.factory.config
Modifier and Type
Interface
Description
`interface`
`DestructionAwareBeanPostProcessor`
Subinterface of `BeanPostProcessor` that adds a before-destruction callback.
`interface`
`InstantiationAwareBeanPostProcessor`
Subinterface of `BeanPostProcessor` that adds a before-instantiation callback, and a callback after instantiation but before explicit properties are set or autowiring occurs.
`interface`
`SmartInstantiationAwareBeanPostProcessor`
Extension of the `InstantiationAwareBeanPostProcessor` interface, adding a callback for predicting the eventual type of a processed bean.
Methods in org.springframework.beans.factory.config with parameters of type BeanPostProcessor
Modifier and Type
Method
Description
`void`
ConfigurableBeanFactory.`addBeanPostProcessor(BeanPostProcessor beanPostProcessor)`
Add a new BeanPostProcessor that will get applied to beans created by this factory.

## Uses of BeanPostProcessor in org.springframework.beans.factory.support

Subinterfaces of BeanPostProcessor in org.springframework.beans.factory.support
Modifier and Type
Interface
Description
`interface`
`MergedBeanDefinitionPostProcessor`
Post-processor callback interface for merged bean definitions at runtime.
Methods in org.springframework.beans.factory.support that return types with arguments of type BeanPostProcessor
Modifier and Type
Method
Description
`List<BeanPostProcessor>`
AbstractBeanFactory.`getBeanPostProcessors()`
Return the list of BeanPostProcessors that will get applied to beans created with this factory.
Methods in org.springframework.beans.factory.support with parameters of type BeanPostProcessor
Modifier and Type
Method
Description
`void`
AbstractBeanFactory.`addBeanPostProcessor(BeanPostProcessor beanPostProcessor)`
Method parameters in org.springframework.beans.factory.support with type arguments of type BeanPostProcessor
Modifier and Type
Method
Description
`void`
AbstractBeanFactory.`addBeanPostProcessors(Collection<? extends BeanPostProcessor> beanPostProcessors)`
Add new BeanPostProcessors that will get applied to beans created by this factory.